:root {
  --red: #C5004A;
  --darkred: #7f0036;
  --lightgray: #DEDEDE;
  --gray: #C0C0C0;
  --darkgray: #333;
  --navy: #424242;
  --blue: #082840;
  --white: #fff;
  --primary: #60E1CC;
  --primarydark: #04AE92;
  --site-wrapper: 1200px;
}

@font-face {
  font-family: "Avenir Next";
  src: url("fonts/f3df85918e3f1ba8a7b13be9b47882ce.eot");
  /* IE9*/
  src: url("fonts/f3df85918e3f1ba8a7b13be9b47882ce.eot?#iefix") format("embedded-opentype"),
      /* IE6-IE8 */
      url("fonts/f3df85918e3f1ba8a7b13be9b47882ce.woff2") format("woff2"),
      /* chrome、firefox */
      url("fonts/f3df85918e3f1ba8a7b13be9b47882ce.woff") format("woff"),
      /* chrome、firefox */
      url("fonts/f3df85918e3f1ba8a7b13be9b47882ce.ttf") format("truetype"),
      /* chrome、firefox、opera、Safari, Android, iOS 4.2+*/
      url("ffonts/3df85918e3f1ba8a7b13be9b47882ce.svg#Avenir Next Regular") format("svg");
  /* iOS 4.1- */
}

@font-face {
  font-family: 'Times New Roman';
  font-weight: normal;
  src: url(fonts/Times\ New\ Roman.ttf);
}

@font-face {
  font-family: 'Times New Roman';
  font-weight: bold;
  src: url(fonts/Times\ New\ Roman\ Bold.ttf);
}

* {
  box-sizing: border-box;
}

html,
body {
  padding: 0;
  margin: 0;
  font-family: 'Avenir Next';
  color: var(--darkgray);
  background-color: var(--white);
}

body::before {
  content: "";
  display: block;
  height: 5px;
  width: 65%;
  background: rgb(81, 248, 182);
  /* Old browsers */
  background: -moz-linear-gradient(-45deg, rgba(81, 248, 182, 1) 0%, rgba(51, 193, 217, 1) 100%);
  /* FF3.6-15 */
  background: -webkit-linear-gradient(-45deg, rgba(81, 248, 182, 1) 0%, rgba(51, 193, 217, 1) 100%);
  /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(135deg, rgba(81, 248, 182, 1) 0%, rgba(51, 193, 217, 1) 100%);
  /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#51f8b6', endColorstr='#33c1d9', GradientType=1);
  /* IE6-9 fallback on horizontal gradient */
}

p:last-child {
  margin-bottom: 0;
}

p,
.tmpl-post li {
  line-height: 1.45;
}

a[href] {
  color: var(--blue);
}

a[href]:visited {
  color: var(--navy);
}

main {
  max-width: 1200px;
  margin: auto;
  padding: 0 15px;
}

main :first-child {
  margin-top: 0;
}

header {
  max-width: 1170px;
  margin: auto;
  border-bottom: 1px solid var(--lightgray);
  padding: 0 15px;
}

header:after {
  content: "";
  display: table;
  clear: both;
}

pre,
code {
  font-family: Consolas, Menlo, Monaco, "Andale Mono WT", "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", "DejaVu Sans Mono", "Bitstream Vera Sans Mono", "Liberation Mono", "Nimbus Mono L", "Courier New", Courier, monospace;
  line-height: 1.5;
}

pre {
  font-size: 14px;
  line-height: 1.375;
  direction: ltr;
  text-align: left;
  white-space: pre-wrap;
  word-spacing: normal;
  word-break: normal;
  -moz-tab-size: 2;
  -o-tab-size: 2;
  tab-size: 2;
  -webkit-hyphens: none;
  -moz-hyphens: none;
  -ms-hyphens: none;
  hyphens: none;
  padding: 1em;
  margin: .5em 0;
  background-color: #f6f6f6;
}

.highlight-line {
  display: block;
  padding: 0.125em 1em;
  text-decoration: none;
  /* override del, ins, mark defaults */
  color: inherit;
  /* override del, ins, mark defaults */
}

/* allow highlighting empty lines */
.highlight-line:empty:before {
  content: " ";
}

/* avoid double line breaks when using display: block; */
.highlight-line+br {
  display: none;
}

.highlight-line-isdir {
  color: #b0b0b0;
  background-color: #222;
}

.highlight-line-active {
  background-color: #444;
  background-color: hsla(0, 0%, 27%, .8);
}

.highlight-line-add {
  background-color: #45844b;
}

.highlight-line-remove {
  background-color: #902f2f;
}

/* Header */
.home {
  padding: 0;
  float: left;
  margin: 40px 0;
  /* 16px /16 */
  /* 16px /16 */
  width: 122px;
  height: 48px;
  background: url('../img/logo.svg') no-repeat;
  background-size: 100% auto;
}

.home a {
  overflow: hidden;
  text-indent: -1000px;
  display: block;
  height: 100%;
}

.home :link:not(:hover) {
  text-decoration: none;
}

/* Nav */
nav {
  padding: 0;
  list-style: none;
  float: right;
  margin: 30px 0;
}

.nav {
  padding: 0;
  margin: 0;
}

.nav-item {
  display: inline-block;
  margin-left: 2em;
  line-height: 58px;
}

.nav-item a:after {
  content: "";
  width: 0;
  display: block;
  margin: auto;
  height: 3px;
  transition: 200ms ease-in-out;
  margin-top: -15px;
}

.nav-item a[href] {
  text-decoration: none;
}

.nav-item-active {
  font-weight: 700;
  text-decoration: none;

}

.nav-item a:hover::after {
  width: 70%;
  background: var(--lightgray);
}

.nav-item.nav-item-active a:after {
  width: 70%;
  background: var(--primary);
}

/* Posts list */
.postlist {
  list-style: none;
  padding: 0;
  padding-left: 335px;
}

.postlist-item {
  counter-increment: start-from -1;
  border: 1px solid var(--lightgray);
  padding: 20px 30px;
  margin-bottom: 20px;
  position: relative;
}

.post-image {
  position: absolute;
  top: 0;
  left: -335px;
  width: 315px;
}

.post-image img {
  width: 100%;
}

.postlist-date,
.postlist-item:before {
  font-size: 0.8125em;
  /* 13px /16 */
  color: var(--darkgray);
}

.postlist-date {
  word-spacing: -0.5px;
}

.postlist-link {
  display: inline-block;
  padding: 0.25em 0.1875em;
  /* 4px 3px /16 */
}

.postlist-item-active .postlist-link {
  font-weight: bold;
}

.tmpl-home .postlist-link {
  font-size: 30px;
  /* 19px /16 */
  font-weight: bold;
  font-family: 'Times New Roman';
  text-decoration: none;
  display: block;
  padding: 10px 0 30px 0;
}

.tmpl-home .postlist-link:after {
  content: "";
  width: 150px;
  height: 1px;
  display: block;
  background: var(--lightgray);
  margin-top: 10px;
  box-shadow: 40px 0px 0px 0px #000 inset;
}

.postlist .author {
  overflow: hidden;
}

.postlist .author .image {
  width: 44px;
  height: 44px;
  border-radius: 50%;
  overflow: hidden;
  float: left;
  margin-right: 0.5rem;
  border: 2px solid var(--primary);

}

.postlist h1 {
  margin: 0;
  display: flex;
  align-items: center;
}

.postlist .desc {
  margin-bottom: 15px;
  line-height: 28px;
  font-size: 17px;
  color: var(--navy);
}

.postlist .author .image img {
  width: 100%;
}

.postlist .author h6 {
  margin: 0;
  font-size: 16px;
  margin-top: 7px;
}

.postlist .author p {
  margin: 0;
  font-size: 12px;
  color: var(--primarydark);
}


/* Tags */
.tag {
  display: inline-block;
  vertical-align: text-top;
  text-transform: uppercase;
  font-size: 0.625em;
  /* 10px /16 */
  padding: 2px 4px;
  margin-left: 0.8em;
  /* 8px /10 */
  background-color: var(--lightgray);
  color: var(--navy);
  border-radius: 0.25em;
  /* 3px /12 */
  text-decoration: none;
  vertical-align: middle;
}

a[href].tag,
a[href].tag:visited {
  color: var(--navy);
}

/* Warning */
.warning {
  background-color: #ffc;
  padding: 1em 0.625em;
  /* 16px 10px /16 */
}

.warning ol:only-child {
  margin: 0;
}

/* Direct Links / Markdown Headers */
.direct-link {
  font-family: sans-serif;
  text-decoration: none;
  font-style: normal;
  margin-left: .1em;
}

a[href].direct-link,
a[href].direct-link:visited {
  color: transparent;
}

a[href].direct-link:focus,
a[href].direct-link:focus:visited,
:hover>a[href].direct-link,
:hover>a[href].direct-link:visited {
  color: #aaa;
}

.highlights:after {
  content: "";
  display: table;
  clear: both;
}


.highlights h2,
.archives h2 {
  font-family: 'Times New Roman';
  margin: 40px 0px 0px 0px;
  font-size: 50px;
}

.highlights p,
.archives p {
  margin-top: 20px;
  margin-bottom: 40px;
  color: #424242;
  font-size: 16px;
}

.highlights li:not(:first-child) {
  height: 170px;
  margin-bottom: 17px;
}

.highlights li:not(:first-child) .post-image {
  position: static;
  float: left;
  margin-right: 20px;
  width: 45%;
  height: 200px;
  overflow: hidden;
  margin-top: -21px;
  margin-left: -30px;
  transition: 300ms;
}

.highlights li:not(:first-child) .post-image img {
  height: 100%;
  width: auto;
}

.highlights li:not(:first-child) .desc {
  display: none;
}

.highlights li .tag {
  display: none;
}

.highlights li .postlist-date {
  display: none;
}

.highlights li .postlist-link:after {
  display: none;
}

.highlights ul.postlist {
  padding: 0;
}

.highlights li.postlist-item:first-child {
  width: 55%;
  float: left;
  padding-right: 28%;
}

.highlights .postlist-item {
  width: 42%;
  float: right;
  overflow: hidden;
  transition: 300ms;
}

.highlights li .post-image {
  position: absolute;
  top: -1px;
  left: initial;
  right: -21px;
  height: calc(100% + 2px);
  overflow: hidden;
  width: 48%;
  transition: 300ms;
}

.highlights li:first-child .desc {
  height: 190px;
  overflow: hidden;
}


.highlights li:first-child .post-image img {
  height: 100%;
  width: auto;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: 300ms ease-in-out;

}

footer {
  border-top: 1px solid var(--lightgray);
  padding: 40px 15px;
  overflow: hidden;
  max-width: 1170px;
  margin: auto;
  margin-top: 30px;
}

footer .copy {
  float: right;
}

footer .thanks {
  float: left;
}

footer .thanks img {
  width: 32px;
  border-radius: 50%;
  vertical-align: middle;
}

footer .thanks a {
  text-decoration: none;
}

footer .copy a {
  margin-right: 10px;
  text-decoration: none;
  color: #454545;
}

.home-tags a[href].tag {
  border: 1px solid #44dec6;
  line-height: 44px;
  padding: 0 20px;
  border-radius: 70px;
  color: #fff;
  font-weight: bold;
  font-size: 16px;
  background: rgb(53,196,214);
  background: linear-gradient(0deg, rgba(53,196,214,1) 0%, rgba(80,242,186,1) 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  margin-right: 10px;
  margin-left: 0;
}

.home-tags {
  padding: 20px 0;
}

.nav-toggle {
  display: none;
}

.tmpl-post>h1,
.tmpl-home>h1 {
  margin: 30px 0;
}

main.tmpl-post>img {
  display: block;
  margin: 40px auto;
  border-radius: 2px;
  width: 100%;
}

.tmpl-post>h1 {
  text-align: center;
  font-family: 'Times New Roman';
}

.inner-image {
  max-width: 960px;
  margin: 40px auto !important;
  height: 360px;
  overflow: hidden;
  border-radius: 5px;
  position: relative;
}

.inner-image img {
  width: 100%;
  max-width: initial;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.inner-content {
  max-width: 800px;
  margin: auto;
}

.inner-content h1 {
  font-family: 'Times New Roman';
  text-align: center;
  font-size: 32px;
}

.inner-content p {
  font-size: 18px;
}

@media (max-width: 992px) {}

@media (max-width: 768px) {

  /* POSTS */
  .postlist {
      padding: 0;
  }

  .post-image {
      position: relative;
      width: calc(100% + 40px);
      top: -20px;
      left: -20px;
      height: 180px;
      overflow: hidden;
  }

  .postlist .desc {
      height: 70px;
      overflow: hidden;
  }

  .tmpl-home .postlist-link {
      font-size: 24px;
      padding: 20px 0;
  }

  /* HIGHLIGHT */
  .highlights li.postlist-item:first-child {
      float: none;
      width: auto;
      padding-right: 48%;
      background: #fff !important;
      border: 1px solid var(--lightgray);
  }

  .highlights li:not(:first-child) {
      float: none;
      width: auto;
  }


}

@media (max-width: 576px) {

  /* HEADER */
  .home {
      margin: 15px;
      width: 100px;
      height: 39px;
  }

  nav {
      position: absolute;
      top: 0;
      right: 0;
      margin: 0;
      z-index: 111;
  }

  nav::before {
      content: "";
      width: 5px;
      height: 5px;
      background: var(--lightgray);
      display: block;
      border-radius: 10px;
      box-shadow: 0px 7px 0px 0px var(--lightgray), 0px 14px 0px 0px var(--lightgray);
      position: absolute;
      top: 28px;
      right: 40px;
  }

  .nav-toggle {
      position: absolute;
      display: block;
      top: 16px;
      right: 19px;
      width: 44px;
      height: 44px;
      opacity: 0;
      padding: 0;
      margin: 0;
  }

  .nav {
      overflow: hidden;
      height: 0;
      margin: 0;
      padding: 0;
      background: #ffffff;
      top: 75px;
      right: 10px;
      position: absolute;
      width: 0px;
      text-align: center;
      box-shadow: -5px 7px 10px rgba(0, 0, 0, 0.08);
      transition: 200ms ease-in-out;
  }

  .nav-item {
      display: block;
      margin: 0;
  }

  .nav-toggle:checked+.nav {
      height: 150px;
      width: 100px;
  }


  /* HIGHLIGHT */
  .highlights li.postlist-item:first-child {
      padding: 15px;
  }

  .highlights li:first-child .post-image {
      position: relative;
      height: 230px;
      width: calc(100% + 30px);
      top: -15px;
      left: -15px;
      right: initial;
  }

  .highlights li:first-child .post-image img {
      position: static;
      width: 100%;
      height: auto;
      transform: initial !important;
  }

  /* FOOTER */
  footer {
      padding: 20px 15px;

  }

  footer .copy {
      text-align: center;
      float: none;
      margin-bottom: 20px;
  }

  footer .thanks {
      text-align: center;
      float: none;

  }
}

.me {
  text-align: center;
  padding: 50px;
}

.me .image {
  max-width: 220px;
  margin: auto;
  overflow:hidden;
  border-radius:50%;
  border: 6px solid #3fd4cd;
}

.me .image img {max-width:100%;display: block;}

.me h1 {
  font-size: 30px;
  margin: 20px 0 0px 0;
}

.me p {
  margin: 0;
  color: #3fd3cd;
}